Package org.springframework.web.service.invoker

# Interface HttpClientAdapter

All Known Implementing Classes:
  `AbstractReactorHttpExchangeAdapter`

@Deprecated(since="6.1", forRemoval=true) public interface HttpClientAdapter
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `ReactorHttpExchangeAdapter`
Contract to abstract the underlying HTTP client and decouple it from the HTTP service proxy.

Since:
  6.0
Author:
  Rossen Stoyanchev, Olga Maciaszek-Sharma

## Method Summary

Modifier and Type
Method
Description
`default ReactorHttpExchangeAdapter`
`asReactorExchangeAdapter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Adapt this instance to `ReactorHttpExchangeAdapter`.
`reactor.core.publisher.Mono<ResponseEntity<Void>>`
`requestToBodilessEntity(HttpRequestValues requestValues)`
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToVoid(HttpRequestValues)` with additional access to the response status and headers.
`<T> reactor.core.publisher.Mono<T>`
`requestToBody(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request and decode the response content to the given type.
`<T> reactor.core.publisher.Flux<T>`
`requestToBodyFlux(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request and decode the response content to a stream with elements of the given type.
`<T> reactor.core.publisher.Mono<ResponseEntity<T>>`
`requestToEntity(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToBody(HttpRequestValues, ParameterizedTypeReference)` with additional access to the response status and headers.
`<T> reactor.core.publisher.Mono<ResponseEntity<reactor.core.publisher.Flux<T>>>`
`requestToEntityFlux(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)`
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToBodyFlux(HttpRequestValues, ParameterizedTypeReference)` with additional access to the response status and headers.
`reactor.core.publisher.Mono<HttpHeaders>`
`requestToHeaders(HttpRequestValues requestValues)`
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request, release the response content, and return the response headers.
`reactor.core.publisher.Mono<Void>`
`requestToVoid(HttpRequestValues requestValues)`
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request, and release the response content, if any.

## Method Details

### requestToVoid

reactor.core.publisher.Mono<Void> requestToVoid(HttpRequestValues requestValues)
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request, and release the response content, if any.

Parameters:
  `requestValues` - the request to perform
Returns:
  `Mono` that completes when the request is fully executed and the response content is released.

### requestToHeaders

reactor.core.publisher.Mono<HttpHeaders> requestToHeaders(HttpRequestValues requestValues)
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request, release the response content, and return the response headers.

Parameters:
  `requestValues` - the request to perform
Returns:
  `Mono` that returns the response headers the request is fully executed and the response content released.

### requestToBody

<T> reactor.core.publisher.Mono<T> requestToBody(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request and decode the response content to the given type.

Type Parameters:
  `T` - the type the response is decoded to
Parameters:
  `requestValues` - the request to perform
  `bodyType` - the target type to decode to
Returns:
  `Mono` that returns the decoded response.

### requestToBodyFlux

<T> reactor.core.publisher.Flux<T> requestToBodyFlux(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)
Deprecated, for removal: This API element is subject to removal in a future version.
Perform the given request and decode the response content to a stream with elements of the given type.

Type Parameters:
  `T` - the type the response is decoded to
Parameters:
  `requestValues` - the request to perform
  `bodyType` - the target stream element type to decode to
Returns:
  `Flux` with decoded stream elements.

### requestToBodilessEntity

reactor.core.publisher.Mono<ResponseEntity<Void>> requestToBodilessEntity(HttpRequestValues requestValues)
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToVoid(HttpRequestValues)` with additional access to the response status and headers.

### requestToEntity

<T> reactor.core.publisher.Mono<ResponseEntity<T>> requestToEntity(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToBody(HttpRequestValues, ParameterizedTypeReference)` with additional access to the response status and headers.

### requestToEntityFlux

<T> reactor.core.publisher.Mono<ResponseEntity<reactor.core.publisher.Flux<T>>> requestToEntityFlux(HttpRequestValues requestValues, org.springframework.core.ParameterizedTypeReference<T> bodyType)
Deprecated, for removal: This API element is subject to removal in a future version.
Variant of `requestToBodyFlux(HttpRequestValues, ParameterizedTypeReference)` with additional access to the response status and headers.

### asReactorExchangeAdapter

default ReactorHttpExchangeAdapter asReactorExchangeAdapter()
Deprecated, for removal: This API element is subject to removal in a future version.
Adapt this instance to `ReactorHttpExchangeAdapter`.

Since:
  6.1